searchNodes=[{"doc":"Writes data to :stdio in a table with borders and colors. Can choose a table style to change the look of the table. Inspired by the book Programming Elixir by Dave Thomas.","ref":"IO.ANSI.Table.html","title":"IO.ANSI.Table","type":"module"},{"doc":"Sends a request to the table spec server identified by option :spec_name . The server will write data from maps to :stdio in a table formatted per its spec and options . Also supports: keywords structs implementing the Access behaviour. Does not support: nested maps, keywords or structs See IO.ANSI.Table.Options for a list of all options in this API. Parameters maps - flat maps/keywords/structs (list) options - up to 6 options (keyword) Options :async - whether to write the table asynchronously (boolean) :bell - whether to ring the bell (boolean) :count - number of maps to format (integer) :max_width - to cap column widths (non neg integer) :spec_name - to identify the table spec server (string) :style - table style (atom) Examples alias IO.ANSI.Table people = [ %{ name : &quot;Mike&quot; , likes : &quot;ski, arts&quot; , dob : &quot;1992-04-15&quot; , bmi : 23.9 } , %{ name : &quot;Mary&quot; , likes : &quot;travels&quot; , dob : &quot;1992-04-15&quot; , bmi : 26.8 } , %{ name : &quot;Ann&quot; , likes : &quot;reading&quot; , dob : &quot;1992-04-15&quot; , bmi : 24.7 } , %{ name : &quot;Ray&quot; , likes : &quot;cycling&quot; , dob : &quot;1977-08-28&quot; , bmi : 19.1 } , %{ name : &quot;Bill&quot; , likes : &quot;karate&quot; , dob : &quot;1977-08-28&quot; , bmi : 18.1 } , %{ name : &quot;Joe&quot; , likes : &quot;boxing&quot; , dob : &quot;1977-08-28&quot; , bmi : 20.8 } , %{ name : &quot;Jill&quot; , likes : &quot;cooking&quot; , dob : &quot;1976-09-28&quot; , bmi : 25.8 } ] Table . start ( [ :name , :dob , :likes ] , header_fixes : %{ ~r[dob]i =&gt; &quot;Date of Birth&quot; } , sort_specs : [ asc : :dob ] , align_specs : [ center : :dob ] , margins : [ top : 2 , bottom : 2 , left : 2 ] ) Table . format ( people , style : :light ) Table . format ( people , style : :light_alt ) Table . format ( people , style : :light_mult ) Table . format ( people , style : :cyan_alt ) Table . format ( people , style : :cyan_mult )","ref":"IO.ANSI.Table.html#format/2","title":"IO.ANSI.Table.format/2","type":"function"},{"doc":"Sends a request to the table spec server identified by option :spec_name . Returns the server's table spec. See IO.ANSI.Table.Options for a list of all options in this API. Parameters options - up to 1 option (keyword) Options :spec_name - to identify the table spec server (string) Examples iex&gt; alias IO.ANSI.Table iex&gt; Table . start ( [ :name , :dob , :likes ] ) iex&gt; spec = Table . get_spec ( ) iex&gt; { spec . headers , spec . spec_name } { [ :name , :dob , :likes ] , &quot;io_ansi_table&quot; } iex&gt; alias IO.ANSI.Table iex&gt; Table . start ( [ :name , :dob , :likes ] , spec_name : &quot;members&quot; ) iex&gt; spec = Table . get_spec ( spec_name : &quot;members&quot; ) iex&gt; { spec . headers , spec . spec_name } { [ :name , :dob , :likes ] , &quot;members&quot; }","ref":"IO.ANSI.Table.html#get_spec/1","title":"IO.ANSI.Table.get_spec/1","type":"function"},{"doc":"Starts a new table spec server process and supervises it. Upon request (see format/2 ), the server will write data from a list of maps to :stdio in a table formatted per headers and options . The table columns are identified by headers ( Map keys). We calculate the width of each column to fit the longest element in that column, also considering the column heading. However, the :max_width option prevails. If the :count option is positive, we format the first count maps in the list, once sorted. If negative, the last count ones. See IO.ANSI.Table.Options for a list of all options in this API. Parameters headers - keys identifying each column (list) options - up to 10 options (keyword) Options :align_specs - to align column elements (list/keyword) :bell - whether to ring the bell (boolean) :count - number of maps to format (integer) :header_fixes - to alter the headers (map) :margins - to position the table (keyword) :max_width - to cap column widths (non neg integer) :sort_specs - to sort the maps (list/keyword) :sort_symbols - to denote sort direction (keyword) :spec_name - to identify the table spec server (string) :style - table style (atom) Examples iex&gt; alias IO.ANSI.Table iex&gt; alias IO.ANSI.Table.SpecServer iex&gt; { :ok , pid } = Table . start ( [ :name , :dob , :likes ] , spec_name : &quot;people&quot; ) iex&gt; pid == SpecServer . via ( &quot;people&quot; ) |&gt; GenServer . whereis ( ) true","ref":"IO.ANSI.Table.html#start/2","title":"IO.ANSI.Table.start/2","type":"function"},{"doc":"Stops a table spec server process normally. It won't be restarted. The table spec server to stop is identified by option :spec_name . See IO.ANSI.Table.Options for a list of all options in this API. Parameters options - up to 1 option (keyword) Options :spec_name - to identify the table spec server (string) Examples iex&gt; alias IO.ANSI.Table iex&gt; Table . start ( [ :name , :dob , :likes ] ) iex&gt; Table . stop :ok iex&gt; alias IO.ANSI.Table iex&gt; Table . start ( [ :name , :dob , :likes ] , spec_name : &quot;stats&quot; ) iex&gt; Table . stop ( spec_name : &quot;stats&quot; ) :ok","ref":"IO.ANSI.Table.html#stop/1","title":"IO.ANSI.Table.stop/1","type":"function"},{"doc":"Writes data from maps to :stdio in a table formatted per spec and options . Also supports: keywords structs implementing the Access behaviour Does not support: nested maps, keywords or structs See IO.ANSI.Table.Options for a list of all options in this API. Parameters spec - table spec (struct) maps - flat maps/keywords/structs (list) options - up to 4 options (keyword) Options :bell - whether to ring the bell (boolean) :count - number of maps to format (integer) :max_width - to cap column widths (non neg integer) :style - table style (atom) Examples alias IO.ANSI.Table alias IO.ANSI.Table.Spec people = [ %{ name : &quot;Mike&quot; , likes : &quot;ski, arts&quot; , dob : &quot;1992-04-15&quot; , bmi : 23.9 } , %{ name : &quot;Mary&quot; , likes : &quot;travels&quot; , dob : &quot;1992-04-15&quot; , bmi : 26.8 } , %{ name : &quot;Ann&quot; , likes : &quot;reading&quot; , dob : &quot;1992-04-15&quot; , bmi : 24.7 } , %{ name : &quot;Ray&quot; , likes : &quot;cycling&quot; , dob : &quot;1977-08-28&quot; , bmi : 19.1 } , %{ name : &quot;Bill&quot; , likes : &quot;karate&quot; , dob : &quot;1977-08-28&quot; , bmi : 18.1 } , %{ name : &quot;Joe&quot; , likes : &quot;boxing&quot; , dob : &quot;1977-08-28&quot; , bmi : 20.8 } , %{ name : &quot;Jill&quot; , likes : &quot;cooking&quot; , dob : &quot;1976-09-28&quot; , bmi : 25.8 } ] spec = Spec . new ( [ :name , :dob , :likes ] , header_fixes : %{ ~r[dob]i =&gt; &quot;Date of Birth&quot; } , sort_specs : [ asc : :dob ] , align_specs : [ center : :dob ] , margins : [ top : 2 , bottom : 2 , left : 2 ] ) |&gt; Spec . develop ( ) Table . write ( spec , people , style : :light ) Table . write ( spec , people , style : :light_alt ) Table . write ( spec , people , style : :light_mult ) Table . write ( spec , people , style : :cyan_alt ) Table . write ( spec , people , style : :cyan_mult )","ref":"IO.ANSI.Table.html#write/3","title":"IO.ANSI.Table.write/3","type":"function"},{"doc":"Functions related to the columns of a table.","ref":"IO.ANSI.Table.Column.html","title":"IO.ANSI.Table.Column","type":"module"},{"doc":"Spreads a width given an element and its align attribute . Examples iex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column . spread ( 7 , &quot;name&quot; , :left ) , ...&gt; Column . spread ( 7 , &quot;name&quot; , :center ) , ...&gt; Column . spread ( 7 , &quot;name&quot; , :right ) ...&gt; } { [ 0 , 4 , 3 ] , [ 1 , 4 , 2 ] , [ 3 , 4 , 0 ] } iex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column . spread ( 3 , &quot;name&quot; , :left ) , ...&gt; Column . spread ( 3 , &quot;name&quot; , :center ) , ...&gt; Column . spread ( 3 , &quot;name&quot; , :right ) ...&gt; } { [ 0 , 3 , 0 ] , [ 0 , 3 , 0 ] , [ 0 , 3 , 0 ] } iex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column . spread ( 10 , &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , :left ) , ...&gt; Column . spread ( 10 , &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , :center ) , ...&gt; Column . spread ( 10 , &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , :right ) ...&gt; } { [ 0 , 21 , 3 ] , [ 1 , 21 , 2 ] , [ 3 , 21 , 0 ] } iex&gt; alias IO.ANSI.Table.Column iex&gt; { ...&gt; Column . spread ( 7 , &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , :left ) , ...&gt; Column . spread ( 7 , &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , :center ) , ...&gt; Column . spread ( 7 , &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , :right ) ...&gt; } { [ 0 , 21 , 0 ] , [ 0 , 21 , 0 ] , [ 0 , 21 , 0 ] }","ref":"IO.ANSI.Table.Column.html#spread/3","title":"IO.ANSI.Table.Column.spread/3","type":"function"},{"doc":"Returns a list of column widths capped by maximum width . Examples iex&gt; alias IO.ANSI.Table.Column iex&gt; columns = [ [ &quot;cat&quot; , &quot;wombat&quot; , &quot;elk&quot; ] , [ &quot;mongoose&quot; , &quot;ant&quot; , &quot;gnu&quot; ] ] iex&gt; Column . widths ( columns , 99 ) [ 6 , 8 ] iex&gt; alias IO.ANSI.Table.Column iex&gt; columns = [ [ &quot;cat&quot; , &quot;wombat&quot; , &quot;elk&quot; ] , [ &quot;mongoose&quot; , &quot;ant&quot; , &quot;gnu&quot; ] ] iex&gt; Column . widths ( columns , 7 ) [ 6 , 7 ] iex&gt; alias IO.ANSI.Table.Column iex&gt; columns = [ [ &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , &quot;elk&quot; ] , [ &quot;mongoose&quot; , &quot;ant&quot; ] ] iex&gt; Column . widths ( columns , 99 ) [ 7 , 8 ] iex&gt; alias IO.ANSI.Table.Column iex&gt; columns = [ [ &quot; \\e [32m \\e [42mCHEETAH \\e [0m&quot; , &quot;elk&quot; ] , [ &quot;mongoose&quot; , &quot;ant&quot; ] ] iex&gt; Column . widths ( columns , 6 ) [ 6 , 6 ]","ref":"IO.ANSI.Table.Column.html#widths/2","title":"IO.ANSI.Table.Column.widths/2","type":"function"},{"doc":"A list of 3 contiguous widths: left width, inner width and right width","ref":"IO.ANSI.Table.Column.html#t:spread/0","title":"IO.ANSI.Table.Column.spread/0","type":"type"},{"doc":"Table column","ref":"IO.ANSI.Table.Column.html#t:t/0","title":"IO.ANSI.Table.Column.t/0","type":"type"},{"doc":"Column width","ref":"IO.ANSI.Table.Column.html#t:width/0","title":"IO.ANSI.Table.Column.width/0","type":"type"},{"doc":"A supervisor that starts table spec server processes dynamically.","ref":"IO.ANSI.Table.DynSpecSup.html","title":"IO.ANSI.Table.DynSpecSup","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IO.ANSI.Table.DynSpecSup.html#child_spec/1","title":"IO.ANSI.Table.DynSpecSup.child_spec/1","type":"function"},{"doc":"Callback implementation for DynamicSupervisor.init/1 .","ref":"IO.ANSI.Table.DynSpecSup.html#init/1","title":"IO.ANSI.Table.DynSpecSup.init/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.DynSpecSup.html#start_link/1","title":"IO.ANSI.Table.DynSpecSup.start_link/1","type":"function"},{"doc":"Finds the align or sort attribute of a header. Also converts a header into a &quot;heading&quot;.","ref":"IO.ANSI.Table.Header.html","title":"IO.ANSI.Table.Header","type":"module"},{"doc":"Finds the align or sort attribute of a header . Examples iex&gt; alias IO.ANSI.Table.Header iex&gt; sort_specs = [ &quot;dept&quot; , desc : &quot;hired&quot; ] iex&gt; { ...&gt; Header . find_attr ( &quot;dept&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;hired&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;job&quot; , sort_specs , :asc ) ...&gt; } { :asc , :desc , nil } iex&gt; alias IO.ANSI.Table.Header iex&gt; sort_specs = [ &quot;dept&quot; , desc : { &quot;hired&quot; , Date } ] iex&gt; { ...&gt; Header . find_attr ( &quot;dept&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;hired&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;job&quot; , sort_specs , :asc ) ...&gt; } { :asc , :desc , nil } iex&gt; alias IO.ANSI.Table.Header iex&gt; sort_specs = [ { &quot;hired&quot; , Date } , &quot;job&quot; , { :desc , &quot;dept&quot; } ] iex&gt; { ...&gt; Header . find_attr ( &quot;dept&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;hired&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;job&quot; , sort_specs , :asc ) ...&gt; } { :desc , :asc , :asc } iex&gt; alias IO.ANSI.Table.Header iex&gt; sort_specs = [ { &quot;hired&quot; , Date } , desc : &quot;dept&quot; ] iex&gt; { ...&gt; Header . find_attr ( &quot;dept&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;hired&quot; , sort_specs , :asc ) , ...&gt; Header . find_attr ( &quot;job&quot; , sort_specs , :asc ) ...&gt; } { :desc , :asc , nil } iex&gt; alias IO.ANSI.Table.Header iex&gt; align_specs = [ &quot;dept&quot; , right : &quot;hired&quot; ] iex&gt; { ...&gt; Header . find_attr ( &quot;dept&quot; , align_specs , :left ) , ...&gt; Header . find_attr ( &quot;hired&quot; , align_specs , :left ) , ...&gt; Header . find_attr ( &quot;job&quot; , align_specs , :left ) ...&gt; } { :left , :right , nil }","ref":"IO.ANSI.Table.Header.html#find_attr/3","title":"IO.ANSI.Table.Header.find_attr/3","type":"function"},{"doc":"Converts a header into a &quot;heading&quot;. Examples iex&gt; alias IO.ANSI.Table . { Header , Spec } iex&gt; spec = Spec . new ( [ :col_4 , :col_1 , :col_2 ] , sort_specs : [ asc : :col_2 ] ) iex&gt; Header . to_heading ( :col_2 , spec ) &quot;Col 2↑&quot;","ref":"IO.ANSI.Table.Header.html#to_heading/2","title":"IO.ANSI.Table.Header.to_heading/2","type":"function"},{"doc":"Align atribute","ref":"IO.ANSI.Table.Header.html#t:align_attr/0","title":"IO.ANSI.Table.Header.align_attr/0","type":"type"},{"doc":"Align spec","ref":"IO.ANSI.Table.Header.html#t:align_spec/0","title":"IO.ANSI.Table.Header.align_spec/0","type":"type"},{"doc":"Sort atribute","ref":"IO.ANSI.Table.Header.html#t:sort_attr/0","title":"IO.ANSI.Table.Header.sort_attr/0","type":"type"},{"doc":"Sort spec","ref":"IO.ANSI.Table.Header.html#t:sort_spec/0","title":"IO.ANSI.Table.Header.sort_spec/0","type":"type"},{"doc":"Sort symbol","ref":"IO.ANSI.Table.Header.html#t:sort_symbol/0","title":"IO.ANSI.Table.Header.sort_symbol/0","type":"type"},{"doc":"Symbol position","ref":"IO.ANSI.Table.Header.html#t:sym_pos/0","title":"IO.ANSI.Table.Header.sym_pos/0","type":"type"},{"doc":"Header","ref":"IO.ANSI.Table.Header.html#t:t/0","title":"IO.ANSI.Table.Header.t/0","type":"type"},{"doc":"Formats the lines of a table.","ref":"IO.ANSI.Table.Line.html","title":"IO.ANSI.Table.Line","type":"module"},{"doc":"Returns an Erlang I/O format (see :io.format/2 ) reflecting item widths and item attributes . It consists of a string with control sequences and embedded ANSI codes (escape sequences), if emitting ANSI codes is enabled. Here are a few ANSI codes: light yellow - \\e[93m light cyan - \\e[96m reset - \\e[0m Examples iex&gt; alias IO.ANSI.Table.Line iex&gt; item_widths = [ 2 , 0 , 6 ] iex&gt; item_attrs = [ :light_yellow , :normal , :light_cyan ] iex&gt; Line . format ( item_widths , item_attrs , true ) &quot; \\e [93m~-2ts \\e [0m~-0ts \\e [96m~-6ts \\e [0m~n&quot;","ref":"IO.ANSI.Table.Line.html#format/3","title":"IO.ANSI.Table.Line.format/3","type":"function"},{"doc":"Deploys the style attributes of a given line type and table spec . Examples iex&gt; alias IO.ANSI.Table.Line iex&gt; # We use a map instead of a %Spec{} for conciseness. iex&gt; spec = %{ style : :medium , sort_attrs : [ nil , :asc , nil ] } iex&gt; type = :header iex&gt; Line . item_attrs ( type , spec ) [ :normal , :gold , :normal , # left border :normal , :canary , :normal , # non-key column :normal , :gold , :normal , # inner border :normal , [ :canary , :underline ] , :normal , # key column :normal , :gold , :normal , # inner border :normal , :canary , :normal , # non-key column :normal , :gold , :normal # right border ]","ref":"IO.ANSI.Table.Line.html#item_attrs/2","title":"IO.ANSI.Table.Line.item_attrs/2","type":"function"},{"doc":"Deploys the widths of elements for a given line type and table spec . Examples iex&gt; alias IO.ANSI.Table.Line iex&gt; # We use a map instead of a %Spec{} for conciseness. iex&gt; spec = %{ ...&gt; style : :medium , ...&gt; align_attrs : [ :right , :center , nil ] , ...&gt; column_widths : [ 7 , 13 , 9 ] ...&gt; } iex&gt; dashes = [ &quot;═══════&quot; , &quot;═════════════&quot; , &quot;═════════&quot; ] iex&gt; elems = [ &quot;Number&quot; , &quot;Created at&quot; , &quot;Title&quot; ] iex&gt; { Line . item_widths ( dashes , :top , spec ) , ...&gt; Line . item_widths ( elems , :header , spec ) } { [ 0 , 2 , 0 , 0 , 7 , 0 , 0 , 3 , 0 , 0 , 13 , 0 , 0 , 3 , 0 , 0 , 9 , 0 , 0 , 2 , 0 ] , [ 0 , 1 , 1 , 1 , 6 , 0 , 1 , 1 , 1 , 1 , 10 , 2 , 1 , 1 , 1 , 0 , 5 , 4 , 1 , 1 , 0 ] }","ref":"IO.ANSI.Table.Line.html#item_widths/3","title":"IO.ANSI.Table.Line.item_widths/3","type":"function"},{"doc":"Deploys elements by interlacing them with filler and borders (left, inner and right). Examples iex&gt; alias IO.ANSI.Table.Line iex&gt; elements = [ &quot;Number&quot; , &quot;Created at&quot; , &quot;Title&quot; ] iex&gt; borders = [ &quot;+-&quot; , &quot;-+-&quot; , &quot;-+&quot; ] iex&gt; Line . items ( elements , borders ) [ &quot;&quot; , &quot;+-&quot; , &quot;&quot; , # filler, left border, filler &quot;&quot; , &quot;Number&quot; , &quot;&quot; , # filler, element, filler &quot;&quot; , &quot;-+-&quot; , &quot;&quot; , # filler, inner border, filler &quot;&quot; , &quot;Created at&quot; , &quot;&quot; , # filler, element, filler &quot;&quot; , &quot;-+-&quot; , &quot;&quot; , # filler, inner border, filler &quot;&quot; , &quot;Title&quot; , &quot;&quot; , # filler, element, filler &quot;&quot; , &quot;-+&quot; , &quot;&quot; # filler, right border, filler ]","ref":"IO.ANSI.Table.Line.html#items/3","title":"IO.ANSI.Table.Line.items/3","type":"function"},{"doc":"Line element","ref":"IO.ANSI.Table.Line.html#t:elem/0","title":"IO.ANSI.Table.Line.elem/0","type":"type"},{"doc":"Line item","ref":"IO.ANSI.Table.Line.html#t:item/0","title":"IO.ANSI.Table.Line.item/0","type":"type"},{"doc":"Defines the &quot;line type&quot; types. Also writes the line(s) of a given &quot;line type&quot;.","ref":"IO.ANSI.Table.LineType.html","title":"IO.ANSI.Table.LineType","type":"module"},{"doc":"Writes the line(s) of the given line type and table spec .","ref":"IO.ANSI.Table.LineType.html#write_lines/2","title":"IO.ANSI.Table.LineType.write_lines/2","type":"function"},{"doc":"Non-row line types","ref":"IO.ANSI.Table.LineType.html#t:non_row/0","title":"IO.ANSI.Table.LineType.non_row/0","type":"type"},{"doc":"Row line types","ref":"IO.ANSI.Table.LineType.html#t:row/0","title":"IO.ANSI.Table.LineType.row/0","type":"type"},{"doc":"Line types","ref":"IO.ANSI.Table.LineType.html#t:t/0","title":"IO.ANSI.Table.LineType.t/0","type":"type"},{"doc":"Builds a list of line types from a reversed list of non-row/row line types.","ref":"IO.ANSI.Table.LineTypes.html","title":"IO.ANSI.Table.LineTypes","type":"module"},{"doc":"Builds a list of line types from a reversed list of non-row/row line types . Examples iex&gt; alias IO.ANSI.Table.LineTypes iex&gt; types = Enum . reverse ( [ :top , :header , :separator , :row , :bottom ] ) iex&gt; LineTypes . from ( types ) [ :top , :header , :separator , [ :row ] , :bottom ] iex&gt; alias IO.ANSI.Table.LineTypes iex&gt; types = [ :top , :header , :separator , :even_row , :odd_row , :bottom ] iex&gt; types = Enum . reverse ( types ) iex&gt; LineTypes . from ( types ) [ :top , :header , :separator , [ :even_row , :odd_row ] , :bottom ] iex&gt; alias IO.ANSI.Table.LineTypes iex&gt; types = Enum . reverse ( [ :header , :separator , :row_1 , :row_2 , :row_3 ] ) iex&gt; LineTypes . from ( types ) [ :header , :separator , [ :row_1 , :row_2 , :row_3 ] ] iex&gt; alias IO.ANSI.Table.LineTypes iex&gt; types = Enum . reverse ( ...&gt; [ :header , :separator , :row , :separator , :row_1 , :row_2 , :row_3 ] ...&gt; ) iex&gt; LineTypes . from ( types ) [ :header , :separator , [ :row ] , :separator , [ :row_1 , :row_2 , :row_3 ] ]","ref":"IO.ANSI.Table.LineTypes.html#from/1","title":"IO.ANSI.Table.LineTypes.from/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Log.html","title":"IO.ANSI.Table.Log","type":"module"},{"doc":"","ref":"IO.ANSI.Table.Log.html#error/2","title":"IO.ANSI.Table.Log.error/2","type":"function"},{"doc":"","ref":"IO.ANSI.Table.Log.html#info/2","title":"IO.ANSI.Table.Log.info/2","type":"function"},{"doc":"Documents the options and table styles used in the IO.ANSI.Table API. Options :align_specs - to align column elements (list of align specs where :left is the default align attribute ). Defaults to [] . align_specs : [ center : &quot;station_id&quot; , right : &quot;pressure_mb&quot; , right : &quot;pressure_in&quot; ] align_specs : [ left : &quot;station_id&quot; , right : &quot;wind_mph&quot; ] align_specs : [ &quot;station_id&quot; , right : &quot;wind_mph&quot; ] :async - whether to format the table asynchronously (boolean). Defaults to false . :bell - whether to ring the bell (boolean). Defaults to false . :count - number of maps/keywords/structs to format (integer). Defaults to 11 . count : 11 # first 11 sorted `maps` count : - 11 # last 11 sorted `maps` :header_fixes - to alter the headers once changed to &quot;title case&quot; (map). Defaults to %{}. header_fixes : %{ # &quot;station_id&quot; =&gt; &quot;Station ID&quot; ~r[ id$]i =&gt; &quot; ID&quot; , # &quot;wind_mph&quot; =&gt; &quot;Wind MPH&quot; ~r[ mph$]i =&gt; &quot; MPH&quot; , # &quot;observation_time_rfc822&quot; =&gt; &quot;Observation Time RFC-822&quot; ~r[ rfc( \\d +)$]i =&gt; &quot; RFC- \\\\ 1&quot; } header_fixes : %{ &quot; A &quot; =&gt; &quot; a &quot; , &quot; An &quot; =&gt; &quot; an &quot; , &quot; And &quot; =&gt; &quot; and &quot; , &quot; At &quot; =&gt; &quot; at &quot; , &quot; But &quot; =&gt; &quot; but &quot; , &quot; By &quot; =&gt; &quot; by &quot; , &quot; For &quot; =&gt; &quot; for &quot; , &quot; Not &quot; =&gt; &quot; not &quot; , &quot; Of &quot; =&gt; &quot; of &quot; , &quot; On &quot; =&gt; &quot; on &quot; , &quot; Or &quot; =&gt; &quot; or &quot; , &quot; So &quot; =&gt; &quot; so &quot; , &quot; The &quot; =&gt; &quot; the &quot; , &quot; To &quot; =&gt; &quot; to &quot; , &quot; Yet &quot; =&gt; &quot; yet &quot; } :margins - to position the table (keyword). Defaults to [top: 1, bottom: 1, left: 2] margins : [ # default margins top : 1 , # line(s) before table (can be negative) bottom : 1 , # line(s) after table left : 2 # column(s) left of table ] margins : [ # example of a side-by-side table top : - 11 , # move cursor up 11 lines!! bottom : 1 , left : 35 , # move cursor forward 35 columns!! ] :max_width - to cap column widths (non neg integer). Defaults to 99 . :sort_specs - to sort the maps/keywords/structs (list of sort specs where :asc is the default sort attribute ). Defaults to [] . sort_specs : [ &quot;station_id&quot; , &quot;wind_mph&quot; ] sort_specs : [ &quot;station_id&quot; , desc : &quot;wind_mph&quot; , desc : &quot;temp_c&quot; ] sort_specs : [ asc : &quot;station_id&quot; , desc : &quot;wind_mph&quot; ] sort_specs : [ &quot;dept&quot; , desc : { &quot;hired&quot; , Date } ] sort_specs : [ { &quot;hired&quot; , Date } , &quot;job&quot; , { :desc , &quot;dept&quot; } ] sort_specs : [ { &quot;hired&quot; , Date } , desc : &quot;dept&quot; ] :sort_symbols - to denote sort direction (keyword list of sort symbols ). Defaults to [asc: &quot;↑&quot;, desc: &quot;↓&quot;, pos: :trailing] . sort_symbols : [ asc : &quot;↑&quot; , desc : &quot;↓&quot; , pos : :trailing ] # default sort symbols sort_symbols : [ asc : &quot; ▲ &quot; , desc : &quot; ▼ &quot; , pos : [ :leading , :trailing ] ] sort_symbols : [ asc : &quot;⬆&quot; , desc : &quot;⬇&quot; , pos : :leading ] :spec_name - to identify the table spec server (string). Defaults to the current application name expressed as a string. :style - table style (atom). Defaults to :plain . style : :plain # default style style : :dark Table styles :bare - no colors :barish - like bare but colored :cyan - cyan background :cyan_alt - cyan header, alternating row colors :cyan_border - light cyan border :cyan_mult - cyan header, 3 repeating row colors :dark - dark colors :dark_alt - dark colors, alternating row colors :dark_mult - dark colors, 3 repeating row colors :dashed - no colors :dotted - slightly colored :dotted_alt - slightly colored, alternating row colors :dotted_mult - slightly colored, 3 repeating row colors :game - game board :green - green background :green_alt - green header, alternating row colors :green_border - light green border :green_border_padded - light green border with extra padding :green_border_unpadded - light green border without padding :green_mult - green header, 3 repeating row colors :green_padded - like green but with extra padding :green_unpadded - like green but without padding :light - light colors :light_alt - light colors, alternating row colors :light_mult - light colors, 3 repeating row colors :medium - medium colors :medium_alt - medium colors, alternating row colors :medium_mult - medium colors, 3 repeating row colors :mixed - fillers revealed :plain - slightly colored :pretty - multicolored :pretty_alt - multicolored, alternating row colors :pretty_mult - multicolored, 3 repeating row colors :test - no colors :yellow - light yellow background :yellow_border - light yellow border","ref":"IO.ANSI.Table.Options.html","title":"IO.ANSI.Table.Options","type":"module"},{"doc":"Defines the row type.","ref":"IO.ANSI.Table.Row.html","title":"IO.ANSI.Table.Row","type":"module"},{"doc":"Table row","ref":"IO.ANSI.Table.Row.html#t:t/0","title":"IO.ANSI.Table.Row.t/0","type":"type"},{"doc":"A table spec struct and functions for the IO ANSI Table app. The table spec struct contains the following fields: initial fields: spec_name , headers , align_specs , bell , count , header_fixes , margins , max_width , sort_specs , sort_symbols , style derived fields: align_attrs , headings , left_margin , sort_attrs data dependent fields: column_widths rows","ref":"IO.ANSI.Table.Spec.html","title":"IO.ANSI.Table.Spec","type":"module"},{"doc":"Updates the derived fields of spec .","ref":"IO.ANSI.Table.Spec.html#develop/1","title":"IO.ANSI.Table.Spec.develop/1","type":"function"},{"doc":"Creates a table spec struct from headers and options .","ref":"IO.ANSI.Table.Spec.html#new/2","title":"IO.ANSI.Table.Spec.new/2","type":"function"},{"doc":"Gets the table spec server name in options . Defaults to the current app name expressed as a string. Examples iex&gt; alias IO.ANSI.Table.Spec iex&gt; Spec . spec_name ( style : :light , count : 9 , spec_name : &quot;github_issues&quot; ) &quot;github_issues&quot; iex&gt; alias IO.ANSI.Table.Spec iex&gt; Spec . spec_name ( [ ] ) &quot;io_ansi_table&quot;","ref":"IO.ANSI.Table.Spec.html#spec_name/1","title":"IO.ANSI.Table.Spec.spec_name/1","type":"function"},{"doc":"Writes data from maps to :stdio per table spec and options .","ref":"IO.ANSI.Table.Spec.html#write_table/3","title":"IO.ANSI.Table.Spec.write_table/3","type":"function"},{"doc":"A table spec struct for the IO ANSI Table app","ref":"IO.ANSI.Table.Spec.html#t:t/0","title":"IO.ANSI.Table.Spec.t/0","type":"type"},{"doc":"Derives the align attributes of a table.","ref":"IO.ANSI.Table.Spec.AlignAttrs.html","title":"IO.ANSI.Table.Spec.AlignAttrs","type":"module"},{"doc":"Derives the align attributes of a table. Examples iex&gt; alias IO.ANSI.Table.Spec.AlignAttrs iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( [ :c4 , :c1 , :c2 ] , align_specs : [ right : :c2 ] ) iex&gt; % Spec { align_attrs : align_attrs } = AlignAttrs . derive_and_put ( spec ) iex&gt; align_attrs [ nil , nil , :right ]","ref":"IO.ANSI.Table.Spec.AlignAttrs.html#derive_and_put/1","title":"IO.ANSI.Table.Spec.AlignAttrs.derive_and_put/1","type":"function"},{"doc":"Derives the column widths of a table.","ref":"IO.ANSI.Table.Spec.ColumnWidths.html","title":"IO.ANSI.Table.Spec.ColumnWidths","type":"module"},{"doc":"Derives the column widths of a table. Examples iex&gt; alias IO.ANSI.Table.Spec . { ColumnWidths , Headings , Rows } iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( [ :c4 , :c1 , :c2 ] ) iex&gt; maps = [ %{ c1 : 11 , c2 : 12 , c4 : 14 } , %{ c1 : 21 , c2 : 22 , c4 : :r2c4 } ] iex&gt; spec = Headings . derive_and_put ( spec ) iex&gt; spec = Rows . derive_and_put ( spec , maps ) iex&gt; spec = ColumnWidths . derive_and_put ( spec ) iex&gt; % Spec { column_widths : column_widths } = spec iex&gt; column_widths [ 4 , 2 , 2 ]","ref":"IO.ANSI.Table.Spec.ColumnWidths.html#derive_and_put/1","title":"IO.ANSI.Table.Spec.ColumnWidths.derive_and_put/1","type":"function"},{"doc":"Derives the headings of a table.","ref":"IO.ANSI.Table.Spec.Headings.html","title":"IO.ANSI.Table.Spec.Headings","type":"module"},{"doc":"Derives the headings of a table. Examples iex&gt; alias IO.ANSI.Table.Spec.Headings iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( [ :c4 , :c1 , :c2 ] , sort_specs : [ :c4 ] ) iex&gt; % Spec { headings : headings } = Headings . derive_and_put ( spec ) iex&gt; headings [ &quot;C4↑&quot; , &quot;C1&quot; , &quot;C2&quot; ] iex&gt; alias IO.ANSI.Table.Spec.Headings iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( ...&gt; [ &quot;station_id&quot; , &quot;wind_mph&quot; ] , ...&gt; sort_specs : [ &quot;station_id&quot; ] , ...&gt; header_fixes : %{ &quot;Id&quot; =&gt; &quot;ID&quot; , &quot;Mph&quot; =&gt; &quot;MPH&quot; } ...&gt; ) iex&gt; % Spec { headings : headings } = Headings . derive_and_put ( spec ) iex&gt; headings [ &quot;Station ID↑&quot; , &quot;Wind MPH&quot; ]","ref":"IO.ANSI.Table.Spec.Headings.html#derive_and_put/1","title":"IO.ANSI.Table.Spec.Headings.derive_and_put/1","type":"function"},{"doc":"Derives the left margin of a table.","ref":"IO.ANSI.Table.Spec.LeftMargin.html","title":"IO.ANSI.Table.Spec.LeftMargin","type":"module"},{"doc":"Derives the left margin of a table. Examples iex&gt; alias IO.ANSI.Table.Spec.LeftMargin iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( [ :c4 , :c1 , :c2 ] , margins : [ left : 3 ] ) iex&gt; % Spec { left_margin : left_margin } = LeftMargin . derive_and_put ( spec ) iex&gt; left_margin &quot;\e[3C&quot; iex&gt; alias IO.ANSI.Table.Spec.LeftMargin iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( [ :c4 , :c1 , :c2 ] , margins : [ left : 0 ] ) iex&gt; % Spec { left_margin : left_margin } = LeftMargin . derive_and_put ( spec ) iex&gt; left_margin &quot;&quot;","ref":"IO.ANSI.Table.Spec.LeftMargin.html#derive_and_put/1","title":"IO.ANSI.Table.Spec.LeftMargin.derive_and_put/1","type":"function"},{"doc":"Derives the rows of a table. Also transposes rows into columns.","ref":"IO.ANSI.Table.Spec.Rows.html","title":"IO.ANSI.Table.Spec.Rows","type":"module"},{"doc":"Derives the rows of a table given spec and maps . Examples iex&gt; alias IO.ANSI.Table.Spec.Rows iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( [ :c4 , :c1 , :c2 ] ) iex&gt; maps = [ %{ c1 : 11 , c2 : 12 , c4 : 14 } , %{ c1 : 21 , c2 : 22 , c4 : 24 } ] iex&gt; % Spec { rows : rows } = Rows . derive_and_put ( spec , maps ) iex&gt; rows [ [ &quot;14&quot; , &quot;11&quot; , &quot;12&quot; ] , [ &quot;24&quot; , &quot;21&quot; , &quot;22&quot; ] ]","ref":"IO.ANSI.Table.Spec.Rows.html#derive_and_put/2","title":"IO.ANSI.Table.Spec.Rows.derive_and_put/2","type":"function"},{"doc":"Transposes rows into columns. Examples iex&gt; alias IO.ANSI.Table.Spec.Rows iex&gt; rows = [ ...&gt; [ &quot;1&quot; , &quot;2&quot; , &quot;3&quot; ] , ...&gt; [ &quot;4&quot; , &quot;5&quot; , &quot;6&quot; ] ...&gt; ] iex&gt; Rows . transpose ( rows ) [ [ &quot;1&quot; , &quot;4&quot; ] , [ &quot;2&quot; , &quot;5&quot; ] , [ &quot;3&quot; , &quot;6&quot; ] ]","ref":"IO.ANSI.Table.Spec.Rows.html#transpose/1","title":"IO.ANSI.Table.Spec.Rows.transpose/1","type":"function"},{"doc":"Derives the sort attributes of a table.","ref":"IO.ANSI.Table.Spec.SortAttrs.html","title":"IO.ANSI.Table.Spec.SortAttrs","type":"module"},{"doc":"Derives the sort attributes of a table. Examples iex&gt; alias IO.ANSI.Table.Spec.SortAttrs iex&gt; alias IO.ANSI.Table.Spec iex&gt; spec = Spec . new ( [ :c4 , :c1 , :c2 ] , sort_specs : [ desc : :c2 ] ) iex&gt; % Spec { sort_attrs : sort_attrs } = SortAttrs . derive_and_put ( spec ) iex&gt; sort_attrs [ nil , nil , :desc ]","ref":"IO.ANSI.Table.Spec.SortAttrs.html#derive_and_put/1","title":"IO.ANSI.Table.Spec.SortAttrs.derive_and_put/1","type":"function"},{"doc":"Makes processes under the spec supervisor fault-tolerant. If any crashes (or is killed), it is immediately restarted and the system remains undisturbed.","ref":"IO.ANSI.Table.SpecRecovery.html","title":"IO.ANSI.Table.SpecRecovery","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IO.ANSI.Table.SpecRecovery.html#child_spec/1","title":"IO.ANSI.Table.SpecRecovery.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IO.ANSI.Table.SpecRecovery.html#init/1","title":"IO.ANSI.Table.SpecRecovery.init/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.SpecRecovery.html#start_link/1","title":"IO.ANSI.Table.SpecRecovery.start_link/1","type":"function"},{"doc":"A server process that holds a table spec struct as its state.","ref":"IO.ANSI.Table.SpecServer.html","title":"IO.ANSI.Table.SpecServer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IO.ANSI.Table.SpecServer.html#child_spec/1","title":"IO.ANSI.Table.SpecServer.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"IO.ANSI.Table.SpecServer.html#init/1","title":"IO.ANSI.Table.SpecServer.init/1","type":"function"},{"doc":"Spawns a table spec server process to be registered via a spec name.","ref":"IO.ANSI.Table.SpecServer.html#start_link/1","title":"IO.ANSI.Table.SpecServer.start_link/1","type":"function"},{"doc":"Allows to register or look up a table spec server process via a spec name .","ref":"IO.ANSI.Table.SpecServer.html#via/1","title":"IO.ANSI.Table.SpecServer.via/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.SpecSup.html","title":"IO.ANSI.Table.SpecSup","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"IO.ANSI.Table.SpecSup.html#child_spec/1","title":"IO.ANSI.Table.SpecSup.child_spec/1","type":"function"},{"doc":"Callback implementation for Supervisor.init/1 .","ref":"IO.ANSI.Table.SpecSup.html#init/1","title":"IO.ANSI.Table.SpecSup.init/1","type":"function"},{"doc":"","ref":"IO.ANSI.Table.SpecSup.html#start_link/1","title":"IO.ANSI.Table.SpecSup.start_link/1","type":"function"},{"doc":"Defines functions returning various aspects of the configured table styles.","ref":"IO.ANSI.Table.Style.html","title":"IO.ANSI.Table.Style","type":"module"},{"doc":"Returns the &quot;border attribute&quot; of a given table style and line type . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . border_attr ( :green , :top ) [ :light_white , :green_background ] iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . border_attr ( :cyan_alt , :odd_row ) [ :chartreuse_yellow , :chartreuse_yellow_background ]","ref":"IO.ANSI.Table.Style.html#border_attr/2","title":"IO.ANSI.Table.Style.border_attr/2","type":"function"},{"doc":"Returns the &quot;border spreads&quot; of a given table style and line type . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . border_spreads ( :plain , :bottom ) [ [ 0 , 2 , 0 ] , [ 0 , 3 , 0 ] , [ 0 , 2 , 0 ] ] # borders: &quot;└─&quot;, &quot;─┴─&quot;, &quot;─┘&quot; iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . border_spreads ( :plain , :header ) [ [ 0 , 1 , 1 ] , [ 1 , 1 , 1 ] , [ 1 , 1 , 0 ] ] # borders: &quot;│&quot; , &quot;│&quot; , &quot;│&quot;","ref":"IO.ANSI.Table.Style.html#border_spreads/2","title":"IO.ANSI.Table.Style.border_spreads/2","type":"function"},{"doc":"Returns the borders of a given table style and line type . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . borders ( :cyan , :bottom ) [ &quot;╚═&quot; , &quot;═╩═&quot; , &quot;═╝&quot; ]","ref":"IO.ANSI.Table.Style.html#borders/2","title":"IO.ANSI.Table.Style.borders/2","type":"function"},{"doc":"Returns the dash of a given table style and line type . Examples iex&gt; IO.ANSI.Table.Style iex&gt; Style . dash ( :dark , :top ) &quot;═&quot; iex&gt; IO.ANSI.Table.Style iex&gt; Style . dash ( :dark , :row ) nil","ref":"IO.ANSI.Table.Style.html#dash/2","title":"IO.ANSI.Table.Style.dash/2","type":"function"},{"doc":"Returns the &quot;filler attribute&quot; of a given table style and line type . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . filler_attr ( :mixed , :row ) :green_background iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . filler_attr ( :cyan_alt , :odd_row ) :chartreuse_yellow_background","ref":"IO.ANSI.Table.Style.html#filler_attr/2","title":"IO.ANSI.Table.Style.filler_attr/2","type":"function"},{"doc":"Converts a switch argument into a table style. E.g. green-alt in: no tx -blt green-alt 11 . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . from_switch_arg ( &quot;green-alt&quot; ) { :ok , :green_alt } iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . from_switch_arg ( &quot;lite&quot; ) :error","ref":"IO.ANSI.Table.Style.html#from_switch_arg/1","title":"IO.ANSI.Table.Style.from_switch_arg/1","type":"function"},{"doc":"Returns the &quot;key attribute&quot; of a given table style and line type . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . key_attr ( :light , :row ) :chartreuse iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . key_attr ( :light , :header ) [ :gold , :underline ]","ref":"IO.ANSI.Table.Style.html#key_attr/2","title":"IO.ANSI.Table.Style.key_attr/2","type":"function"},{"doc":"Returns the &quot;line types&quot; of a given table style . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . line_types ( :light ) [ :top , :header , :separator , [ :row ] , :bottom ] iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . line_types ( :green_alt ) [ :top , :header , :separator , [ :even_row , :odd_row ] ]","ref":"IO.ANSI.Table.Style.html#line_types/1","title":"IO.ANSI.Table.Style.line_types/1","type":"function"},{"doc":"Returns the &quot;non-key attribute&quot; of a given table style and line type . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . non_key_attr ( :cyan , :row ) [ :black , :cyan_background ]","ref":"IO.ANSI.Table.Style.html#non_key_attr/2","title":"IO.ANSI.Table.Style.non_key_attr/2","type":"function"},{"doc":"Returns the sorted list of all style IDs. Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; length Style . styles 36 iex&gt; alias IO.ANSI.Table.Style iex&gt; Enum . take Style . styles , 7 [ :bare , :barish , :cyan , :cyan_alt , :cyan_border , :cyan_mult , :dark ]","ref":"IO.ANSI.Table.Style.html#styles/0","title":"IO.ANSI.Table.Style.styles/0","type":"function"},{"doc":"Lists all the table styles alphabetically.","ref":"IO.ANSI.Table.Style.html#table_styles/0","title":"IO.ANSI.Table.Style.table_styles/0","type":"function"},{"doc":"Returns a list of interpolated texts (for all styles) based on template . Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . texts ( &quot; - `&amp;style`&amp;filler - &amp;note \\n &quot; ) |&gt; Enum . slice ( 16 .. 18 ) [ &quot; - `:green_border` - light green border \\n &quot; , &quot; - `:green_border_padded` - light green border with extra padding \\n &quot; , &quot; - `:green_border_unpadded` - light green border without padding \\n &quot; ] Interpolation placeholders &amp;style - table style (e.g. &quot;:light_alt&quot;) &amp;arg - table style switch arg (e.g. &quot;light-alt&quot;) &amp;filler - padding after &amp;style or &amp;arg &amp;note - table style note &amp;rank - table style rank (3 digits)","ref":"IO.ANSI.Table.Style.html#texts/1","title":"IO.ANSI.Table.Style.texts/1","type":"function"},{"doc":"Converts a table style into a switch argument. Examples iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . to_switch_arg ( :green_alt ) &quot;green-alt&quot; iex&gt; alias IO.ANSI.Table.Style iex&gt; Style . to_switch_arg ( :lite ) nil","ref":"IO.ANSI.Table.Style.html#to_switch_arg/1","title":"IO.ANSI.Table.Style.to_switch_arg/1","type":"function"},{"doc":"Style attribute","ref":"IO.ANSI.Table.Style.html#t:attr/0","title":"IO.ANSI.Table.Style.attr/0","type":"type"},{"doc":"Table border","ref":"IO.ANSI.Table.Style.html#t:border/0","title":"IO.ANSI.Table.Style.border/0","type":"type"},{"doc":"Table style","ref":"IO.ANSI.Table.Style.html#t:t/0","title":"IO.ANSI.Table.Style.t/0","type":"type"},{"doc":"","ref":"IO.ANSI.Table.TopSup.html","title":"IO.ANSI.Table.TopSup","type":"module"},{"doc":"Callback implementation for Application.start/2 .","ref":"IO.ANSI.Table.TopSup.html#start/2","title":"IO.ANSI.Table.TopSup.start/2","type":"function"}]